version: "2"
services:
  platform-mgnt-service:
    build: .
    image: ea_platform:1.0
    container_name: ea_platform
    volumes:
      - ./logs/:/eaplatform/platform-mgnt-service/logs
      - ./run.sh:/eaplatform/platform-mgnt-service/run.sh
    privileged: true
    env_file:
      - ../env/app.env
    networks:
      - ea_net
    ports:
      - "8030:8080"
      - "2223:22"
    # extra_hosts:
    #   nacos-server: 172.20.13.190
    #   redis-server: 172.20.13.190
    #   elasticsearch-server: 172.20.13.190
    #   postgresql-server: 172.20.13.190
    #   rocketmq-server: 172.20.13.190
    #   sftp-server: 172.20.13.190

networks:
  ea_net:
    external: true
